﻿@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div id="modal-placeholder"></div>


<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-sm-4">
        <h2>Audio Files</h2>
    </div>
</div>


<div class="wrapper wrapper-content animated fadeInUp">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-title">
                    <div class="ibox-tools">
                        <a class="btn btn-primary btn-xs" id="newLink">Create New Link</a>
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover dataTable" id="dataTable" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>File Type</th>
                                    <th>Status</th>
                                    <th>LTU Text</th>
                                    <th>EN Text</th>
                                    <th>Last Update Date</th>
                                    <th></th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
@section Scripts {
    <script src="~/lib/datatables/js/datatables.min.js" asp-append-version="true"></script>
    <script src="~/lib/datatables/js/dataTables.bootstrap4.min.js" asp-append-version="true"></script>
    <script src="~/js/app/audio-files-ui.js" asp-append-version="true"></script>
    <script src="~/lib/jquery.form.js" asp-append-version="true"></script>


    <script type="text/javascript">
        $(document).ready(function () {
            new audioFilesValues({
                 organizationID: @Json.Serialize(ViewData["OrganizationID"]),
                 getTableDataUrl: "@Url.Action("LoadDataTable","Audios")",
                 createEditModalUrl: "@Url.Action("CreateEditModal","Audios")",
                 saveModalDataUrl: "@Url.Action("SaveModalData","Audios")"
            });
        });

    </script>

}
